package ru.micord.ervu.security.esia.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class EmployeeModel implements Serializable {

  private String prnOid;

  private String orgOid;

  private Boolean chief;

  private Boolean blocked;

  private String position;

  private PersonModel person;

  public String getPrnOid() {
    return prnOid;
  }

  public void setPrnOid(String prnOid) {
    this.prnOid = prnOid;
  }

  public String getOrgOid() {
    return orgOid;
  }

  public void setOrgOid(String orgOid) {
    this.orgOid = orgOid;
  }

  public Boolean getChief() {
    return chief;
  }

  public void setChief(Boolean chief) {
    this.chief = chief;
  }

  public Boolean getBlocked() {
    return blocked;
  }

  public void setBlocked(Boolean blocked) {
    this.blocked = blocked;
  }

  public String getPosition() {
    return position;
  }

  public void setPosition(String position) {
    this.position = position;
  }

  public PersonModel getPerson() {
    return person;
  }

  public void setPerson(PersonModel person) {
    this.person = person;
  }
}
